# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/marvell,ap80x-clock.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell Armada AP80x System Controller Clocks

maintainers:
  - Gregory Clement <gregory.clement@bootlin.com>
  - Miquel Raynal <miquel.raynal@bootlin.com>

description: >
  The AP806/AP807 is one of the two core HW blocks of the Marvell Armada
  7K/8K/931x SoCs. It contains system controllers, which provide several
  registers giving access to numerous features: clocks, pin-muxing and many
  other SoC configuration items.

properties:
  compatible:
    enum:
      - marvell,ap806-clock
      - marvell,ap806-cpu-clock
      - marvell,ap807-clock
      - marvell,ap807-cpu-clock

  reg:
    maxItems: 1

  "#clock-cells":
    const: 1

  clocks:
    items:
      - description: cluster 0 parent clock phandle
      - description: cluster 1 parent clock phandle

required:
  - compatible
  - "#clock-cells"

additionalProperties: false

allOf:
  - if:
      properties:
        compatible:
          contains:
            enum:
              - marvell,ap806-cpu-clock
              - marvell,ap807-cpu-clock
    then:
      required:
        - clocks
